CREATE TYPE "JSONB" AS json;

--
-- Name: rbac; Type: SCHEMA; Schema: -; Owner: cc_rbac_api
--

CREATE SCHEMA rbac;

CREATE TABLE rbac.role_binding (
    id varchar PRIMARY KEY,
    user_id text NOT NULL,
    role_name text NOT NULL,
    organization_id text,
    account_id text,
    cloud_cluster_id text,
    logical_cluster_id text,
    cluster_type text,
    resource_type text,
    resource_name text,
    pattern_type text,
    deleted boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by text NOT NULL,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by text NOT NULL,
    last_change_id bigint NOT NULL default 1,
    reason jsonb
);

INSERT INTO rbac.role_binding (id, user_id, role_name, created_by, modified_by) VALUES ('rb-000000', 'flowserviceadmin', 'CCloudRoleBindingAdmin', 'seed', 'seed');

--
-- Name: role_binding_id_seq; Type: SEQUENCE; Schema: rbac; Owner: cc_rbac_api
--

CREATE SEQUENCE rbac.role_binding_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--
-- Name: extractor_publisher_state; Type: TABLE; Schema: rbac; Owner: -
--

CREATE TABLE rbac.extractor_publisher_state (
    events_kafka_message_sequence_id bigint NOT NULL,
    role_binding_last_change_id bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL
);


--
-- Name: extractor_events_kafka_message_sequence_id; Type: SEQUENCE; Schema: rbac; Owner: -
--

CREATE SEQUENCE rbac.extractor_events_kafka_message_sequence_id
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;
